<?php
include "../../inc/inc.koneksi.php";

date_default_timezone_set('Asia/Jakarta');

$kode	 =$_POST['kode'];
$tanggal =$_POST['tanggal'];
$gudang  =$_POST['gudang'];
$user 	 =$_POST['user'];
$tjumlah1=$_POST['tjumlah1'];
$tjumlah2=$_POST['tjumlah2'];
$tselisih=$tjumlah1-$tjumlah2;
$jam	 =date('H:i:s');

if($gudang=='Gudang') $kodecab='01';
else $kodecab=$gudang;

$sql= mysql_query("SELECT * FROM interface");
$r 	= mysql_fetch_assoc($sql);

$persed	    = $r['persed'];
$labapb	 	= $r['laba_pb'];
$rugipsb	= $r['rugi_psb'];
$labrug  	= $r['laba_rugi'];
$nosubps 	= substr($persed,0,3);
$nosublpb	= substr($labapb,0,3);
$nosubpsb	= substr($rugipsb,0,3);
$nosublr 	= substr($labrug,0,3);

$sql1= mysql_query("SELECT kode_psb,no_urut FROM jurpsb WHERE kode_psb='$kode' AND posting='' GROUP BY kode_psb ORDER BY no_urut ");
$r1	 = mysql_fetch_assoc($sql1);
$nourut=$r1['no_urut'];

mysql_query("UPDATE jurpsb SET selisih='$tselisih' WHERE kode_psb='$kode' AND no_urut='$nourut'");

$sql= mysql_query("SELECT * FROM jurpsb WHERE kode_psb='$kode' AND posting='' ORDER BY no_urut");
$row= mysql_num_rows($sql);

if($row>0){	
	while($r=mysql_fetch_array($sql)){
		$nourut 	=$r['no_urut'];
		$kodest1	=$r['kode_st1'];
		$namast1	=$r['nama_st1'];
		$satuan1	=$r['satuan1'];
		$jmlunit1	=$r['jml_unit1'];
		$hgbeli1	=$r['hg_beli1'];
		$kodest2	=$r['kode_st2'];
		$namast2	=$r['nama_st2'];
		$hgbeli2 	=$r['hg_beli2'];
		$jmlunit2	=$r['jml_unit2'];
		$jumlah2	=$r['jumlah2'];
		$kodegr1	=substr($kodest1,0,3);
		$kodegr2	=substr($kodest2,0,3);
		
		if(!($kodegr1=='')){
			if($gudang=='Gudang')
			    mysql_query("UPDATE stock SET jml_stokb=jml_stokb-$jmlunit1 WHERE kode_st='$kodest1' AND kode_cab='01'");
			else
				mysql_query("UPDATE stock SET jml_stok=jml_stok-$jmlunit1 WHERE kode_st='$kodest1' AND kode_cab='$gudang'");
			mysql_query("INSERT INTO rekap_mbr (kode_tr,jurnal,tanggal,no_bukti,no_urut,kode_st,gudang,keterangan,masuk,keluar,harga,user,jam,batal) VALUES('$kode','PSB','$tanggal','$kode','$nourut','$kodest1','$gudang','Perubahan status ke $namast2','0','$jmlunit1','$hgbeli1','$user','$jam','')");
		}
		
		if(!($kodegr2=='')){
		    if($gudang=='Gudang')
			    $sql1= mysql_query("SELECT * FROM stock WHERE kode_st='$kodest2' AND kode_cab='01'");
			else
			    $sql1= mysql_query("SELECT * FROM stock WHERE kode_st='$kodest2' AND kode_cab='$Gudang'");
			$r1	= mysql_fetch_assoc($sql1);
			
			if($gudang=='Gudang')
			    $jstok=$r2['jml_stokb'];
			else
				$jstok=$r2['jml_stok'];

			$nilstok=$jstok*$r2['hg_beli'];
			$stok_akhir=$jstok+$jmlunit2;
			
			if($jstok<0) $hb_rata=$hgbeli2;
			else $hb_rata=($nilstok+$jumlah2)/$stok_akhir;
		
			if($gudang=='Gudang')
			    mysql_query("UPDATE stock SET jml_stokb=jml_stokb+$jmlunit2 WHERE kode_st='$kodest2' AND kode_cab='01'");
			else
			    mysql_query("UPDATE stock SET jml_stok=jml_stok+$jmlunit2 WHERE kode_st='$kodest2' AND kode_cab='$gudang'");
			    
			mysql_query("UPDATE stock SET hg_beli='$hb_rata',hb_akhir='$hgbeli2' WHERE kode_st='$kodest2'");
			mysql_query("INSERT INTO rekap_mbr (kode_tr,jurnal,tanggal,no_bukti,no_urut,kode_st,gudang,keterangan,masuk,keluar,harga,user,jam,batal) VALUES('$kode','PSB','$tanggal','$kode','$nourut','$kodest2','$gudang','Perubahan status dari $namast1','$jmlunit2','0','$hgbeli2','$user','$jam','')");
		}
	}
	
	mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$tjumlah1 WHERE noakun='$persed'");
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) VALUES('$kode','PSB','$tanggal','$kode','$kodecab','1','$persed','$persed','','','0','$tjumlah1','Perubahan status $namast1 menjadi $namast2','$user','$jam')");
	
    if(!$tjumlah2==0){
	    mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$tjumlah2 WHERE noakun='$persed'");
	    mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) VALUES('$kode','PSB','$tanggal','$kode','$kodecab','2','$persed','$persed','','','$tjumlah2','0','Perubahan status $namast1 menjadi $namast2','$user','$jam')");
    }
    
	if(!($tselisih==0)){
		mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$tselisih WHERE noakun='$rugipsb'");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,kode_cab,no_bukti,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) VALUES('$kode','PSB','$tanggal','$kode','$kodecab','2','$rugipsb','$rugipsb','','','$tselisih','0','Perubahan status $namast1 menjadi $namast2','$user','$jam')");
	
		mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$tselisih WHERE noakun='$labapb'");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,kode_cab,no_bukti,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) VALUES('$kode','PSB','$tanggal','$kode','$kodecab','2','$labapb','$labapb','','','$tselisih','0','Perubahan status $namast1 menjadi $namast2','$user','$jam')");
	
		mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$tselisih WHERE noakun='$labrug'");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,kode_cab,no_bukti,no_urut,noakun,nosub,nobp,nofak,debet,kredit,keterangan,user,jam) VALUES('$kode','PSB','$tanggal','$kode','$kodecab','2','$labrug','$labrug','','','0','$tselisih','Perubahan status $namast1 menjadi $namast2','$user','$jam')");
	}
	mysql_query("UPDATE jurpsb SET posting='P' WHERE kode_psb='$kode'");
	
	echo "Data perubahan status kode $kode sukses disimpan.";
}
?>